#ifndef __DRAGON_H__
#define __DRAGON_H__

#include "enemy.h"

class dragon final: public enemy_base {
        const position guards;
public:
        dragon(RNG *rng, const feature enabled_features, const position &pos,
               const int gen_room_num, const position &guards);
        const char *get_race_name() const override;
        long_result act(level *lvl, character *pc, bool hostile) override;
        int dies(level *lvl) override;
        position get_guards() const;
};

#endif
